Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/lxpanel APKBUILD

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Wed, 17 Sep 2014 07:59:24 +0400

---
 .../testing/lxpanel/10-devproc-lxpanel-0.6.2.patch | 21 +++++++++
 aports/testing/lxpanel/APKBUILD                    | 52 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)
 create mode 100644 aports/testing/lxpanel/10-devproc-lxpanel-0.6.2.patch
 create mode 100644 aports/testing/lxpanel/APKBUILD
diff --git a/aports/testing/lxpanel/10-devproc-lxpanel-0.6.2.patch b/aports/testing/lxpanel/10-devproc-lxpanel-0.6.2.patch
new file mode 100644
index 0000000..aed0cc5
--- /dev/null
+++ b/aports/testing/lxpanel/10-devproc-lxpanel-0.6.2.patch
_at_@ -0,0 +1,21 @@
+--- a/src/plugins/netstat/devproc.c
++++ b/src/plugins/netstat/devproc.c
+_at_@ -25,15 +25,15 @@
+ #include <net/if.h>
+ #include <net/if_arp.h>
+ #include <arpa/inet.h>
+-#include <linux/sockios.h>
+-#include <linux/types.h>
+-#include <linux/ethtool.h>
+ #include <iwlib.h>
+ #include "nsconfig.h"
+ #include "netstat.h"
+ #include "statusicon.h"
+ #include "devproc.h"
+ #include "dbg.h"
++#include <linux/sockios.h>
++#include <linux/types.h>
++#include <linux/ethtool.h>
+ 
+ /* network device list */
+ static void netproc_netdevlist_add(NETDEVLIST_PTR *netdev_list,
diff --git a/aports/testing/lxpanel/APKBUILD b/aports/testing/lxpanel/APKBUILD
new file mode 100644
index 0000000..6325701
--- /dev/null
+++ b/aports/testing/lxpanel/APKBUILD
_at_@ -0,0 +1,52 @@
+# Maintainer: Bartłomiej Piotrowski <nospam_at_bpiotrowski.pl>
+
+pkgname=lxpanel
+pkgver=0.6.2
+pkgrel=1
+pkgdesc='Lightweight X11 desktop panel'
+arch='all'
+url='http://lxde.org/'
+license='GPL'
+makedepends='gtk+2.0-dev alsa-lib-dev menu-cache-dev libwnck-dev
+             wireless-tools-dev docbook-xml docbook-xsl intltool'
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="http://downloads.sourceforge.net/sourceforge/lxde/lxpanel-$pkgver.tar.gz
+	10-devproc-lxpanel-0.6.2.patch"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+        local i
+        cd "$_builddir"
+        for i in $source; do
+	case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+	esac
+        done
+}
+
+
+build() {
+  cd "$_builddir"
+  CFLAGS="$CFLAGS -lgmodule-2.0" ./configure \
+    --build=$CBUILD \
+    --host=$CHOST \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --mandir=/usr/share/man \
+    --infodir=/usr/share/info \
+    --localstatedir=/var \
+	|| return 1
+  make || return 1
+}
+
+package() {
+  cd "$_builddir"
+  make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b074182b6effe46ccac97bf178de4e32  lxpanel-0.6.2.tar.gz
+87ef3f86b272d1f50f6b0e770e40b095  10-devproc-lxpanel-0.6.2.patch"
+sha256sums="f9ba6d0b825f7b99de045c3371738792bf9f3604af66bef4d98d783461c60a48  lxpanel-0.6.2.tar.gz
+28afcd7f3cc1e2eec84d93ff49468224507b5d824c5692bb5915a2c90b6b2275  10-devproc-lxpanel-0.6.2.patch"
+sha512sums="bd80f3cc9ff288a362e733fd26c31a90169d467f01f6df468bc6efb2a3c6ce4feeedba509a8562327bb0e21cf0ee56f4d42b7f4ca802622fa958e7e1b1a03f10  lxpanel-0.6.2.tar.gz
+bf161826515ac031dfe035f9133167c4d3f42b40bf42732ef74166f6af9aeffc0195dc6c5326e8cb301f4efb4e299378997ef16908dd64e992470a5d4d03563d  10-devproc-lxpanel-0.6.2.patch"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Sep 17 2014 - 07:59:24 GMT